#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcupsfilters
Version		:	2.0.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Library for developing printing filters

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache-2.0
URL		:	https://github.com/OpenPrinting/libcupsfilters/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-upstream_fixes-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	cups-devel
BuildRequires	:	dejavu-fonts
BuildRequires	:	dbus-devel
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	ghostscript
BuildRequires	:	lcms2
BuildRequires	:	libexif
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	poppler
BuildRequires	:	qpdf-devel

#-----------------------------------------------------------------------------
%description
Libcupsfilters provides a library, which implements
common functions used in cups-browsed daemon and
printing filters, and additional files as banner
templates and character sets.
The filters are used in CUPS daemon and in printer
applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS CHANGES.md CHANGES-1.x.md README.md
%license COPYING LICENSE NOTICE
%{_libdir}/%{name}.so.2*
%{_datadir}/cups/banners/classified
%{_datadir}/cups/banners/confidential
%{_datadir}/cups/banners/form
%{_datadir}/cups/banners/secret
%{_datadir}/cups/banners/standard
%{_datadir}/cups/banners/topsecret
%{_datadir}/cups/banners/unclassified
%{_datadir}/cups/charsets/pdf.utf-8
%{_datadir}/cups/charsets/pdf.utf-8.heavy
%{_datadir}/cups/charsets/pdf.utf-8.simple
%{_datadir}/cups/data/classified.pdf
%{_datadir}/cups/data/confidential.pdf
%{_datadir}/cups/data/default-testpage.pdf
%{_datadir}/cups/data/default.pdf
%{_datadir}/cups/data/form_english.pdf
%{_datadir}/cups/data/form_russian.pdf
%{_datadir}/cups/data/secret.pdf
%{_datadir}/cups/data/standard.pdf
%{_datadir}/cups/data/testprint
%{_datadir}/cups/data/topsecret.pdf
%{_datadir}/cups/data/unclassified.pdf

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_docdir}/%{name}-%{version}/CONTRIBUTING.md
%{_docdir}/%{name}-%{version}/DEVELOPING.md
%{_includedir}/cupsfilters/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-mutool				\
	--disable-static				\
	--disable-rpath					\
	--enable-dbus					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

%{__make}						\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# remove .odt files (we have their .pdf versions)
rm -f %{buildroot}%{_datadir}/cups/data/*.odt

# remove redundant files
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/{INSTALL,ABOUT-NLS}
 
# license related files are already under /usr/share/licenses
rm -f %{buildroot}/%{_defaultdocdir}/%{name}-%{version}/{LICENSE,COPYING,NOTICE}
#-----------------------------------------------------------------------------
%changelog
